//============================================================================
// File: SETTINGS.H
// Func: Select Compiler and Interface (USB/RS232) for USB08 
// Ver.: 1.02
// Auth: (C)2000-2003 by Oliver Thamm, MCT Elektronikladen GbR
//       http://hc08web.de/usb08
// Rem.: View/Edit this File with TAB-Size=4
//============================================================================

#ifndef __SETTINGS_H
#define __SETTINGS_H

//-- Select Interface! -------------------------------------------------------

#define USE_USB_PIPE            // by defining or NOT defining this
                                // label before compiling, you can
                                // select the communication interface
                                // (if defined => USB, if not => RS232)

//-- Compiler selection ------------------------------------------------------

#ifdef __IMAGECRAFT__
#define 	IMAGECRAFT_C				// ImageCraft ICC08
#else
#define 	COSMIC_C					// Cosmic Software CX08
#endif

#ifdef COSMIC_C
#define asm(x) _asm(x)
#endif

#endif //__SETTINGS_H ========================================================

